package cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseCheck.handler;

import cn.iocoder.yudao.framework.common.util.json.JsonUtils;
import cn.iocoder.yudao.module.order.vo.order.OrderWarehouseCheckDetailsVO;
import com.baomidou.mybatisplus.extension.handlers.AbstractJsonTypeHandler;

import java.util.List;


public class OrderWarehouseCheckDetailsTypeHandler extends AbstractJsonTypeHandler<List<OrderWarehouseCheckDetailsVO>> {

    @Override
    protected List<OrderWarehouseCheckDetailsVO> parse(String json) {
        return JsonUtils.parseArray(json, OrderWarehouseCheckDetailsVO.class);
    }

    @Override
    protected String toJson(List<OrderWarehouseCheckDetailsVO> obj) {
        return JsonUtils.toJsonString(obj);
    }
}